Retrieves all the equipment_family objects
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_family| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| name |
Name of the equipment family |
string |
Required Max length: 50 |
| description |
Description of the equipment family |
string |
Max length: 4000 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| _parent_id |
Parent Equipment Family (Parent / Child) when adding/updating equipment_family |
globally unique identifier | |
| _parent_code |
Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family |
string | |
| _parent_equipment_family |
Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family |
equipment_family | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "10e8afa7-d228-4e2e-b28c-a1cebf97d78d",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "5ec0cd04-c125-4a92-96e7-14dcd94595d9",
"_parent_code": "sample string 6",
"sales_organization_id": "39b63a63-ddc4-442e-93ed-cc984e0bdbec",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "2887c10d-140c-47d3-aabc-2860aa852723",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9dbaaa8a-42d9-4564-b7cc-b6a0531dda70",
"db_currency_id": "67441ddf-2f67-4a89-a313-1fcb494dc76b",
"db_language_id": "8d71beb3-d0e8-4f56-b83d-0c183ea240d8",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-31T11:30:53.6400232+00:00"
},
"modified_dateutc": "2026-10-31T11:30:53.6400232+00:00"
}